Skip to main content
GET
/
ach_returns
List ACH Returns
curl --request GET \
  --url https://int-api.mx.com/ach_returns \
  --header 'Authorization: Basic <encoded-value>'
{
  "ach_returns": [
    {
      "account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
      "account_number_last_four": "1234",
      "account_type": "CHECKING",
      "ach_initiated_at": "2025-02-13T18:08:00+00:00",
      "client_guid": "CLT-abcd-1234",
      "corrected_account_number": null,
      "corrected_routing_number": null,
      "created_at": "2025-02-13T18:08:00+00:00",
      "guid": "ACH-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
      "id": "client_ach_return_id_1234",
      "institution_guid": "INS-34r4f44b-cfge-0f6e-3484-21f47e45tfv7",
      "investigation_notes": null,
      "member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
      "processing_errors": null,
      "resolution_code": null,
      "resolution_detail": null,
      "resolved_status_at": null,
      "return_code": "R01",
      "return_notes": null,
      "return_account_number": null,
      "return_routing_number": null,
      "return_status": "SUBMITTED",
      "returned_at": "2025-02-13T18:09:00+00:00",
      "sec_code": "PPD",
      "started_processing_at": null,
      "submitted_at": null,
      "transaction_amount": 225.84,
      "updated_at": "null",
      "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}
The features documented here are in a beta state, and this documentation is considered draft material subject to frequent change.
Use this endpoint to get all ACH returns.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Query Parameters

institution_guid
string

The identifier for the institution associated with the ACH return. Defined by MX.

returned_at
string

The date and time when the return was reported by the Receiving Financial Depository Institution (RDFI) in ISO 8601 format without timestamp.

resolved_status_at
string

The date and time when the return was resolved by the Receiving Financial Depository Institution (RDFI) in ISO 8601 format without timestamp

return_code
string

The associated ACH return code and notice of change code. See Return Codes for a complete list.

return_status
string

The status of the return. See Return Statuses for a complete list.

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 100. If the value exceeds 100, the default value of 25 will be used instead.

Response

200 - application/json

OK

ach_returns
object[]
pagination
object